<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="2.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="/ReleaseNotes">
    <html>
      <body>
        <xsl:for-each select="./TypeList/type">
          <table cellSpacing="0" cellPadding="1" width="90%" border="0" ID="Table4">
            <xsl:variable name="typeName" select="." />
            <br/>
            <H3>
              <xsl:value-of select="$typeName"/>
            </H3>
            <xsl:for-each select="//IssueList/Issue">
              <xsl:variable name="issueTypeName" select="type" />

              <xsl:if test="string($issueTypeName) = string($typeName)">
                <xsl:variable name="issueLink" select="url" />
                <tr>
                  <td width="8%">
                    <A href="{$issueLink}">
                      <xsl:value-of select="id"/>
                    </A>
                  </td>
                  <td>
                    <SPAN >
                      — <xsl:value-of select="title"/>
                    </SPAN>
                  </td>
                </tr>
              </xsl:if>
            </xsl:for-each>
          </table>
        </xsl:for-each>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
